extend(Timer, createjs.Container);

function Timer()
{	
	this.initialize();
	var th = this
//--------------------------------//
	this.mouseChildren = false

	var t_min = new Text(jsons["JSON2"], "numbers_red_", null, 23)
	var t_sec = new Text(jsons["JSON2"], "numbers_red_", null, 23)
	setCoor(t_sec, 69)
	var dd = new createjs.Sprite(jsons["JSON2"])
	dd.gotoAndStop("numbers_red_two-spot")
	setCoor(dd, 47)

	this.addChild(t_min)
	this.addChild(t_sec)
	this.addChild(dd)

	// dragAndDrop(t_min)
	// dragAndDrop(t_sec)
	// dragAndDrop(dd)

	this.setTime = function(v){
		var min = null
		var sec = null

		min = div(v, 60)
		sec = v%60

		if(min<10)
			min = "0"+min
		if(sec<10)
			sec = "0"+sec

		t_min.setText(min)
		t_sec.setText(sec)
	}

}